package com.gic.haoban.manage.web.qo.data;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/29 15:29
 */
@ToString
public class StoreRealTimeSalesApiQO implements Serializable {
    private String storeId;

    /**
     * 渠道类型
     */
    private String orderChannel;

    /**
     * 1 企业维度 2渠道维度
     */
    private Integer storeGroup;

    /**
     * 店长不用传，导购需要
     */
    private String clerkId;

    /**
     * 区经、店长传查询门店，导购传查询导购
     */
    private Integer isClerk;

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getOrderChannel() {
        return orderChannel;
    }

    public void setOrderChannel(String orderChannel) {
        this.orderChannel = orderChannel;
    }

    public Integer getStoreGroup() {
        return storeGroup;
    }

    public void setStoreGroup(Integer storeGroup) {
        this.storeGroup = storeGroup;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getIsClerk() {
        return isClerk;
    }

    public void setIsClerk(Integer isClerk) {
        this.isClerk = isClerk;
    }
}
